## rock-master-20.01-control-orogen-motor-controller 0.20150529

=== CMakeLists.txt ===
PROJECT(motor_controller)
cmake_minimum_required(VERSION 2.6)

SET (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/.orogen/config")
INCLUDE(motor_controllerBase)

# FIND_PACKAGE(KDL)
# FIND_PACKAGE(OCL)

=== tasks/CMakeLists.txt ===
# Generated from orogen/lib/orogen/templates/tasks/CMakeLists.txt

include(motor_controllerTaskLib)
ADD_LIBRARY(${MOTOR_CONTROLLER_TASKLIB_NAME} SHARED 
    ${MOTOR_CONTROLLER_TASKLIB_SOURCES})
add_dependencies(${MOTOR_CONTROLLER_TASKLIB_NAME}
    regen-typekit)

TARGET_LINK_LIBRARIES(${MOTOR_CONTROLLER_TASKLIB_NAME}
    ${OrocosRTT_LIBRARIES}
    ${MOTOR_CONTROLLER_TASKLIB_DEPENDENT_LIBRARIES})
SET_TARGET_PROPERTIES(${MOTOR_CONTROLLER_TASKLIB_NAME}
    PROPERTIES LINK_INTERFACE_LIBRARIES "${MOTOR_CONTROLLER_TASKLIB_INTERFACE_LIBRARIES}")

INSTALL(TARGETS ${MOTOR_CONTROLLER_TASKLIB_NAME}
    RUNTIME DESTINATION bin
    LIBRARY DESTINATION lib/orocos)

INSTALL(FILES ${MOTOR_CONTROLLER_TASKLIB_HEADERS}
    DESTINATION include/orocos/motor_controller)

=== debian/changelog ===
rock-master-20.01-control-orogen-motor-controller (0.20150529-1~xenial) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/rock-control/control-orogen-motor_controller.git
  * branch: refs/heads/master
  * commit: 7634c00737804611a54095a8773ecbd540c4d819
  * tag: 

 -- Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>  Sun, 09 Feb 2020 08:45:46 +0100

=== debian/control ===
Source: rock-master-20.01-control-orogen-motor-controller
Section: science
Priority: optional
Maintainer: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Uploaders: Rock Packaging Daemon (based on apaka) <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-20.01-base-orogen-std, rock-master-20.01-base-orogen-types, rock-master-20.01-control-motor-controller, rock-master-20.01-ruby-orogen, rock-master-20.01-tools-logger, rock-master-20.01-tools-orogen-cpp-proxies, rock-master-20.01-tools-orogen-metadata, rock-master-20.01-tools-orogen-model-exporter, rock-master-20.01-tools-service-discovery
Standards-Version: 3.9.2
Homepage: http://www.rock-robotics.org

Package: rock-master-20.01-control-orogen-motor-controller
Architecture: any
Depends: ${shlibs:Depends}, rock-master-20.01-base-orogen-std, rock-master-20.01-base-orogen-types, rock-master-20.01-control-motor-controller, rock-master-20.01-tools-logger, rock-master-20.01-tools-orogen-cpp-proxies, rock-master-20.01-tools-orogen-metadata, rock-master-20.01-tools-orogen-model-exporter, rock-master-20.01-tools-service-discovery
Description: Basic actuator controllers
 Basic actuator controllers
